# 数字人项目使用说明

本项目包含两个主要模块：LiveTalking 和 GPT-SoVITS。以下为各模块的启动方法及服务器信息。

---

## 一、LiveTalking 启动方法

* **服务器地址**：`192.168.10.96`
* **SSH 登录信息**：用户 `root`，密码 `#Yaxin0504`

### 启动步骤：

```bash
# 登录服务器
ssh root@192.168.10.96

# 进入项目目录
cd /root/fpt/LiveTalking 

# 激活 conda 环境
conda activate nerfstream

# 启动服务（后台运行）
nohup python app.py \
  --transport webrtc \
  --model wav2lip \
  --avatar_id model_4_10 \
  --tts gpt-sovits \
  --TTS_SERVER http://192.168.10.113:9880 \
  > log/livetalking.log 2>&1 &

# 实时查看日志（可选）
tail -n 50 -f log/livetalking.log
```

---

## 二、GPT-SoVITS 启动方法

* **服务器地址**：`192.168.10.113`（端口：222）
* **SSH 登录信息**：用户 `root`，密码 `1`

### 启动步骤：

```bash
# 登录服务器
ssh -p 222 root@192.168.10.113

# 进入项目目录
cd /mnt/workspace/GPT-SoVITS

# 激活 conda 环境
conda activate gpt-sovits

# 启动服务（后台运行）
nohup python api.py \
  -dr "input/doubao.wav" \
  -dt "刚进直播间的宝子们，左上角先点个关注，点亮咱们家的粉丝灯牌！我是你们的主播陈婉婉，今天给大家准备了超级重磅的福利" \
  -dl "zh" \
  > log/gptsovits.log 2>&1 &

# 实时查看日志（可选）
tail -n 50 -f log/gptsovits.log
```

